swayimg(1)

NAME
swayimg - image viewer for Sway

SYNOPSIS
swayimg [OPTIONS...] FILE...

DESCRIPTION
The swayimg utility can be used for preview images inside the currently focused window (container).

The program uses Sway IPC to determine the geometry of the currently focused workspace and window. This data is used calculate the position and size of a new window. Then the program adds two rules to the Sway: "floating enable" and "move position" for swayimg application, creates a new Wayland window and draws an image from the specified file.

OPTIONS

-h, --help
    Display help message.

-v, --version
    Display version information and list of supported image formats.

-g, --geometry=X,Y,WIDTH,HEIGHT
    Set the absolute position and size of the window, for example 10,20,100,200 creates a window at position 10x20 (top left corner) with a size of 100x200. If this parameter is not specified, the geometry of the currently focused window will be used.

-f, --fullscreen
    Start in full screen mode.

-s, --scale=PERCENT
    Set initial scale of the image. The default value is 0 (auto): if the image is greater than the window, it will be zoomed out to fit the window.

-i, --info
    Show image properties on startup (path, size, current scale etc).

KEYBINDINGS

Arrows and vim-like moving keys (h,j,k,l)
    Move the view point.

+, =
    Zoom in.

-   Zoom out.

Backspace
    Set optimal scale: 100% or fit to window.

0   Set scale to 100%.

[, ]
    Rotate image.

i   Show/hide image properties.

f, F11
    Toggle full screen mode.

PgDown, Space, n
    Show next file.

PgUp, p
    Show previous file.

Esc, Enter, F10, q
    Exit the program.

ENVIRONMENT

SWAYSOCK
    Path to the socket file used for Sway IPC.

NOTES
For suggestions, comments, bug reports etc. visit https://github.com/artemsen/swayimg

AUTHOR
Artem Senichev <artemsen@gmail.com>